
/*////////////////////////////////////////////////////////////
VARIABLES
////////////////////////////////////////////////////////////*/

:root {
    /* couleurs utilisées dans le site */
  
      --backgroundColor: #fff;
      --foregroundColor: #111;
  
    /* couleur principale */
      --primaryColor: #3F4C3A;
      --primaryColorLighter: #56664F;
  
    /* couleur secondaire */
      --secondaryColor: #8CB201;
      --secondaryColorLighter: #819e00;

    
   /* couleur accentuation verte */
      --sucessColor: #8bc34a;
  
   /* couleur accentuation rouge */
      --errorColor: #f44336;
  
   /* couleur neutres */
      --neutralShade1: #f2f2f2;
      --neutralShade2: #e8e9e9;
      --neutralShade3: #d1d3d4;
      --neutralShade4: #babdbf;
      --neutralShade5: #808488;
      --neutralShade6: #666a6d;
      --neutralShade7: #4d5052;
      --neutralShade8: #212122;
  
  
  /*section default padding */
      --defaultPadding:7.5rem 3.125rem;
  
  /* Bords arrondis */
      --borderRadius: 10px;
      --borderRadiusInputs: 5px;
  
  /* ombre portée boites*/
      --boxShadow: 0 2px 5px rgba(#333, 0.2);
  
  
  /* layout sizes */
  --handheld:568px;
  --tabletportrait:768px;
  --desktop:1024px;
  --bigscreen:1280px;
  --laptop: 1366px;
  --hdscreen:1920px;


  /* font google */
   --primaryFont : 'Open Sans', sans-serif;
   --secondaryFont : 'Raleway', sans-serif;
  
  }


 /*////////////////////////////////////////////////////////////
  RESET
  ////////////////////////////////////////////////////////////*/
  *{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
    
  ol,ul {
    list-style: none;
  }

img {
    display: unset;
    max-width: unset;
    height: unset;
    border-radius: unset;
  }



  /*////////////////////////////////////////////////////////////
  MAIN 
  ////////////////////////////////////////////////////////////*/
  
  
  body {
    background: var(--canvasColor);
    color: var(--foregroundColor);
    font-family: var(--primaryFont);
    font-weight: 300;
    /* S'il n'y a pas d'unité, cela
    représente un facteur multiplicateur
    de la taille de la police appliquée à
    l'élément ou 150% */
    line-height: 1.5; 
    font-size: 16px;
    text-align: center;
    transition: all 0.3s ease;
  }



 table {
  border-collapse: collapse;
  border-spacing: 0;
  width: 100%;
  border: 1px solid #ddd;
}

th, td {
  text-align: left;
  padding: 8px;
}

tr:nth-child(even){background-color: #f2f2f2}
.responsiveTable{
  overflow-x:auto;
}
th {
  background-color: var(--primaryColor);
  color: white;
  text-align: center;
}
/* gérer la zone action (boutons des tableaux*/
thead th:last-child {
  width: 220px;
  text-align: center;
}
td:last-child {
  text-align: right;
}

/* creation d'une classe pour les éléments qui doivent s'aggrandir jusqu'à une certain point fixé à la variable des grands écrans :  --bigscreen
*/

.wrapper {
    width:100%;
    max-width: var( --bigscreen);
    margin:0 auto;
}


/* BALISES TEXTE (par défaut)
------------------------------------------------------------*/

strong {
    /*font-family: var(--fontPrimary_SemiBold);*/
    font-weight: initial;
}

/* titre de niveau 1*/
h1 {
    font-size: 22px;
    line-height:1.5;
    margin-bottom: 10px;
}

/* titre de niveau 2*/
h2 {
    font-size: 20px;
    line-height:1.5;
    margin-bottom: 10px;
}

/* titre de niveau 3*/
h3 {
    font-size: 18px;
    line-height:1.5;
    margin-bottom: 10px;
}

::selection {
  color: var(--canvasColor);
  background-color: var(--primaryColor);
}


/* Gestion des liens 
------------------------------------------------------------*/

/*liens par defaut */
a:link,
a:visited,
a:active {
    color: var(--secondaryColor);
    text-decoration: none;
}

a:hover,
a:focus {
    color: var(--secondaryColorLighter);   
}


/* formatage uniforme des boutons, des inputs de type submit et des liens qui ont la classe .button  */
a.button,
input[type=submit],
button {
    outline: none;
    width: auto;
    text-align: center;
    text-transform: uppercase;
    display: inline-block;
    padding: 10px 8px;
    cursor: pointer;
    border-radius: var(--borderRadius);
    background: var(--secondaryColor);
    border: 1px solid transparent;
    color: var(--backgroundColor);
    position: relative;
    top: 0;
    transition: 0.2s ease; 
}
a.button:hover,   
input[type=submit]:hover,
button:hover {
    background-color: var(--secondaryColorLighter);
    border-color: var(--secondaryColor);
}



/* cas des boutons de suppression */

a.button.delete {
    background: var(--errorColor);
    color: var(--backgroundColor);
}

a.button.delete:hover {
    background-color: var(--secondaryColorLighter);
    border-color: var(--secondaryColor);
}

/* barre de boutons*/
.btn-group {
  margin-bottom: 15px;
  text-align: left;
}

/* FORMULAIRES (par défaut)
------------------------------------------------------------*/

label {
    font-weight: 500;
    display: block;
    margin-bottom: 5px;
    text-align: left;
}

input,
select,
textarea {
    height: 50px;
    font-size: 16px;
    border: 1px solid var(--neutralShade3);
    width: 100%;
    padding: 12px;
    font-family: "Montserrat";
    border-radius: var(--borderRadiusInputs);
    color: var(--foregroundColor);
    background: var(--backgroundColor);  
    margin: 6px 0;
    resize: vertical;
}

input:focus,
select:focus,
textarea:focus {
        outline: none;
        border-color: var(--primaryColor);
        background: var(--backgroundColor);
}

textarea {
    resize: vertical;
    min-height: 117px;
}

select {
    height: 45px;
    padding: 8px 12px;
    cursor: pointer;
}

/* conteneur de formulaires */
.form-container {
  border-radius: 5px;
  background-color: var(--neutralShade2);
  padding: 20px;
  max-width:80%;
  margin:0 auto;
}




/* Alertes
------------------------------------------------------------*/
.alert-message{
  margin: 15px 0;
}

.alert {
  padding: 20px;
  background-color: var(--errorColor);
  color: white;
}

.closebtn {
  margin-left: 15px;
  color: white;
  font-weight: bold;
  float: right;
  font-size: 22px;
  line-height: 20px;
  cursor: pointer;
  transition: 0.3s;
}

.closebtn:hover {
  color: black;
}

.alert.success {
  background-color: var(--sucessColor);
}

/* Grands titres de pages
------------------------------------------------------------*/

.title {
    font-family: var(--secondaryFont);
    font-size: 40px;    
    line-height: 42px;
    letter-spacing:unset;
    word-spacing: unset;
    position: relative;
    margin-bottom:30px;
    text-align: left;
    text-transform: uppercase;
}

@media (max-width:768px) {
    .title {
        font-size: 30px;
        line-height: 32px;
    }

}



/* IMAGES 
------------------------------------------------------------*/

img {
    display: inline; /* unset dans le reset*/
}

/* Forcer les images à 100% pour être responsives */
.responsive {
    max-width: 100%;
    width:100%;
    height: auto;
}

/* BOITES GENERIQUES 
------------------------------------------------------------*/

.card {
    border: 1px solid var(--neutralShade3);
    background-color: var(--cardBackground);
    position: relative;
    border-radius: var(--borderRadius);
    -webkit-border-radius: var(--borderRadius);
    -moz-border-radius: var(--borderRadius);
    -ms-border-radius: var(--borderRadius);
    -o-border-radius: var(--borderRadius);  
    transition: all 350ms ease-out 0s;
    box-shadow: 0 0 5px 0 rgba(0,0,0,.05);
}
.card:hover {
    background-color: var(--canvasColor);
    border-color: var(--primaryColor);
    box-shadow: 0 0 10px 0 rgba(0,0,0,.05);
    cursor: pointer;
    transform: scale(1.05);
}




/*////////////////////////////////////////////////////////////
LAYOUT
////////////////////////////////////////////////////////////*/
.content-page {
  padding:100px 50px;
}



/*////////////////////////////////////////////////////////////
HEADER
////////////////////////////////////////////////////////////*/


header {
    text-align: left;
    background-color: var(--neutralShade2);
}


/*////////////////////////////////////////////////////////////
FOOTER
////////////////////////////////////////////////////////////*/


footer {
    padding: 20px;
    text-align: left;
    background-color: var(--primaryColorLighter);
    text-align: center;
    color: var(--backgroundColor);
  }

/*////////////////////////////////////////////////////////////
NAVIGATION PRINCIPALE
////////////////////////////////////////////////////////////*/


    .topnav {
        overflow: hidden;
        background-color: var(--primaryColor);

      }
      
      .topnav a
       {
        float: left;
        display: block;
        color: var(--backgroundColor);
        text-align: center;
        padding: 14px 16px;
        text-decoration: none;
        font-size: 17px;
      }
      
      .topnav .icon {
        display: none;
      }
      
      .dropdown {
        float: left;
        overflow: hidden;
      }
      
      .dropdown .dropbtn {
        font-size: 17px;    
        border: none;
        outline: none;
        color: white;
        padding: 14px 16px;
        background-color: inherit;
        font-family: inherit;
        margin: 0;
        text-transform: capitalize;
        border-radius: 0;
        line-height: 26px;
      }
      
      .dropdown-content {
        display: none;
        position: absolute;
        background-color: #f9f9f9;
        min-width: 160px;
        box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
        z-index: 1;
      }
      
      .dropdown-content a {
        float: none;
        color: black;
        padding: 12px 16px;
        text-decoration: none;
        display: block;
        text-align: left;
      }
      
      .topnav a:hover, .dropdown:hover .dropbtn {
        background-color: var(--primaryColorLighter);
        color: white;
      }
      
      .dropdown-content a:hover {
        background-color: #ddd;
        color: black;
      }
      
      .dropdown:hover .dropdown-content {
        display: block;
      }
      
      @media screen and (max-width: 600px) {
        .topnav a:not(:first-child), .dropdown .dropbtn {
          display: none;
        }
        .topnav a.icon {
          float: right;
          display: block;
        }
      }
      
      @media screen and (max-width: 600px) {
        .topnav.responsive {position: relative;}
        .topnav.responsive .icon {
          position: absolute;
          right: 0;
          top: 0;
        }
        .topnav.responsive a {
          float: none;
          display: block;
          text-align: left;
        }
        .topnav.responsive .dropdown {float: none;}
        .topnav.responsive .dropdown-content {position: relative;}
        .topnav.responsive .dropdown .dropbtn {
          display: block;
          width: 100%;
          text-align: left;
        }
      }






/*////////////////////////////////////////////////////////////
PAGE ACCUEIL
////////////////////////////////////////////////////////////*/


/* HERO IMAGE
------------------------------------------------------------*/

.hero-image {
    
    /* Use "linear-gradient" to add a darken background effect to the image (photographer.jpg). This will make the text easier to read */
    background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("../template_images/home_hero_background.jpg");
  
    /* Set a specific height */
    height:350px;
  
    /* Position and center the image to scale nicely on all screens */
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;

  }
 .profil-container {
    /* diplay grid*/
    display: grid;
    grid-template-columns: 200px auto;
    grid-gap: 25px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);    
    align-items: center;
 }



  /* Place profil picture  */
  
  .profilPicture img {
    border-radius: 50%;
    width:150px;
  }
  
  /* Profil text  */
  .hero-text {
    text-align: left;
     color: white;
  }

/* 3 DERNIERS PROJETS
------------------------------------------------------------*/

section.home-projects {
  padding:100px 50px;
}

/* grid*/
.project-list-home {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-gap: 25px;
}

@media (max-width:768px) {
  .project-list-home {
      grid-template-columns: 1fr;
  }
}

/* boites projet */
.project-list-home a  {
  display: block;

}

/* titre des boites projet */
.project-list-home  h3 {
  padding: 15px;
  font-size:18px;
  line-height: 20px;
  text-align:left;
  color: var(--foregroundColor);
}





  /* SECTION RESEAUX SOCIAUX
------------------------------------------------------------*/


.home_social_networks {
  background-color: var(--foregroundColor);
  text-align: center;
  padding:100px 50px;
}

.home_social_networks .title {
  text-align: center;   
  color:var(--backgroundColor) ;
}

.home_social_networks .grid {
  display: grid;
  grid-gap: 1.5rem;
  grid-template-columns: repeat(3, 1fr);
}

@media (max-width:768px) {
  .home_social_networks .grid{
      grid-template-columns: 1fr;
  }
}


.home_social_networks .grid-item IMG {
  max-width: 80px;
  margin: 0 auto;
  transition: all 350ms ease-out 0s;
}

.home_social_networks .grid-item IMG:hover {
  transform: scale(1.15);
  -webkit-transform: scale(1.15);
  -moz-transform: scale(1.15);
  -ms-transform: scale(1.15);
  -o-transform: scale(1.15);
}


/*////////////////////////////////////////////////////////////
LOGIN / REGISTER
////////////////////////////////////////////////////////////*/

/* Identification */

.forgot_password {
  display: inline-block;
  padding: 15px;
}





/*////////////////////////////////////////////////////////////
PAGE PROJECTS
////////////////////////////////////////////////////////////*/

/* grid*/
.project-list {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-gap: 25px;
}

@media (max-width:768px) {
  .project-list {
      grid-template-columns: 1fr;
  }
}

/* boites projet */
.project-list a  {
  display: block;

}

/* titre des boites projet */
.project-list .project h3 {
  padding: 15px;
  font-size:18px;
  line-height: 20px;
  text-align:left;
  color: var(--foregroundColor);
}


/* Create three equal projects that floats next to each other */
.project {
  display: none; /* Hide all elements by default */
}

/* The "show" class is added to the filtered elements */
.show {
  display: block;
}

/* Style the buttons */
.btn {
  cursor: pointer;
  border-radius: var(--borderRadius);
  background: var(--secondaryColor);
  border: 1px solid transparent;
  color: var(--backgroundColor);
  transition: 0.2s ease; 
  padding: 12px 16px;
  cursor: pointer;
}

.btn:hover {
  background-color: var(--secondaryColorLighter);
  border-color: var(--secondaryColor);
}

.btn.active {
  background-color: var(--primaryColor);
  color: white;
}


.project-list img {
  width:100%;
}


/*////////////////////////////////////////////////////////////
PAGE PROJECTS DETAIL
////////////////////////////////////////////////////////////*/
.project-details img {
  border: 1px solid var(--neutralShade3);
  background-color: var(--cardBackground);
  border-radius: var(--borderRadius);
  box-shadow: 0 0 5px 0 rgba(0,0,0,.05);
}

.info-project {
  border-radius: 5px;
  background-color: var(--neutralShade2);
  padding: 20px;
  margin:20px auto 20px;
  text-align: left;
  font-size: 20px;
}

.comment-project-container {
  border-radius: 5px;
  background-color: var(--neutralShade2);
  padding: 20px;
  margin:20px auto 20px;
  text-align: left;
  font-size: 20px;
}


